Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
domain_analytics
/
technologies
/
technology_stats
/
live
Technology Stats
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/domain_analytics/technologies/technology_stats/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "technology": "<string>",
  "date_from": "<string>",
  "date_to": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.technology": "<string>",
  "tasks.result.date_from": "<string>",
  "tasks.result.date_to": "<string>",
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.type": "<string>",
  "tasks.result.items.date": "<string>",
  "tasks.result.items.domains_count": 123,
  "tasks.result.items.countries": {},
  "tasks.result.items.languages": {},
  "tasks.result.items.domains_rank": {}
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
technology
string
required

target technology required field you can find the full list of technologies you can specify here on this page example: "Salesforce"

date_from
string

starting date of the time range optional field minimum value: 2022-10-31 if you don’t specify this field, the minimum value will be used by default date format: "yyyy-mm-dd" example: "2023-06-01"

date_to
string

ending date of the time range optional field if you don’t specify this field, the today’s date will be used by default date format: "yyyy-mm-dd" example: "2023-01-15"

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.technology
string

target technology

tasks.result.date_from
string

starting date of the time range

tasks.result.date_to
string

ending date of the time range

tasks.result.items_count
integer

number of items in the results array

tasks.result.items
string[]

items array

tasks.result.items.type
string

type of the item = ‘technology_stats_item’

tasks.result.items.date
string

date for which the data is provided

tasks.result.items.domains_count
integer

number of domains that use the specified technology

tasks.result.items.countries
object

distribution of websites by country contains country codes and number of websites per country

tasks.result.items.languages
object

distribution of websites by language contains language codes and number of websites per language

tasks.result.items.domains_rank
object

distribution of websites by backlink rank contains domain rank ranges and number of websites per range learn more about rank and how it is calculated in this help center article